#include <avr/io.h>
#include <stdio.h>

#include <ow.h>
#include <ds18b20.h>
#include <ds18s20.h>

#define MaxDevice 4
#define F_CPU 4000000


ow_romcode_t romcode1[MaxDevice];		//Arrays die die Gerteadresse der onewire sensoren
ow_romcode_t romcode2[MaxDevice];		//aufnehmen

char rom_num1;					//hier werden die anzahlen der sensoren gespeichert
char rom_num2;


int uart_putchar(char c)
{

  if (c == '\n')
    uart_putchar('\r');
  loop_until_bit_is_set(UCSRA, UDRE);
  UDR = c;
  return 0;
}





void main(void)
{

UCSRB = _BV(TXEN);		/* tx enable */
UBRRL = (F_CPU / (16 * 9600UL)) - 1; /* 9600 Bd */

fdevopen(uart_putchar, NULL, 0);
ow_init(PORTB,0,F_CPU);					//bernimmt den PORT den PORTPIN und die Quarzfrequenz in MHZ
rom_num1 = ow_rom_search(romcode1,DS18B20_FAMILY_CODE); //Gerteadressen suchen und die Anzahl der gefundenen Sensoren
rom_num2 = ow_rom_search(romcode2,DS18S20_FAMILY_CODE); //zurckgeben


while(1)
{
char i;
for(i=0;i<rom_num1;i++)printf("t%i=%.1f	\n",i,ds18b20_get_temp_12(romcode1,i));       //Temperaturen an den PC senden
for(i=0;i<rom_num2;i++)printf("t%i=%.1f	\n",i+rom_num1,ds18s20_get_temp(romcode2,i));
}

}//end main